#pragma once
#include "Entity.h"
//ÊÖÁñµ¯
class CS_AmGrenade :
    public Entity
{
public:
    CS_AmGrenade(std::shared_ptr<Entity> parent);
    void Step() override;
    void Attack(std::weak_ptr<Entity> dst, int* outDamage, float* outAngle, bool* outTakedown, int* outElemType, float* outShockForce, float* outHeavy) override;
    void Collision() override;//Ö´ÐÐÅö×²
    bool Hurt(std::weak_ptr<Entity> src, int getDamage, float angle, bool bTakedown, int elemType, float shockForce, float heavy, int* outRealDamage) override;
    int act_wait = 0;
    bool bExplode = false;
    int count1 = 0;
    int act_no = 0;
    void Explode();
};

void SetCS_AmGrenade(std::shared_ptr<Entity> parent, float x, float y, float vx, float vy);